#
# spec file for package scudcloud
#
# Copyright (c) 2015 Marcin Trendota (moonwolf@poczta.onet.pl)
# Copyright (c) 2015 Marcin Bajor (marcin.bajor@gmail.com)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scudcloud
Version:        1.0.89
Release:        1.1
Summary:        Non official desktop client for Slack©
License:        MIT
Group:          Applications/Internet
BuildRequires:  python

%if (0%{?suse_version} || 0%{?fedora_version})
BuildRequires:  fdupes
%endif

%if 0%{?suse_version}
BuildRequires: update-desktop-files
BuildRequires: hicolor-icon-theme
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%else
Requires(post): xdg-utils
Requires(postun): xdg-utils
%endif

Url:            https://github.com/raelgc/scudcloud/
Source:         %{name}-%{version}.tar.gz
Requires:       python3
Requires:       python3-qt4
%if 0%{?suse_version}
Requires:       google-lato-fonts
%else
Requires:       lato-fonts
%endif
Suggests:       libqt4-webkit-qupzillaplugins
Suggests:       python3-hunspell
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
ScudCloud uses the QT library + Webkit to render the web version of Slack,
but using the QWebkit-Native bridge to improve desktop integration with:
* multiple teams support,
* native system notifications,
* count of unread direct mentions at launcher/sytray icon,
* alert/wobbling on new messages,
* channels quicklist (Unity only),
* optional "Close to Tray".

%prep
%setup -q

%install
INSTALL="/opt/scudcloud"
cd scudcloud-1.0

mkdir -p %{buildroot}/$INSTALL/lib
mkdir -p %{buildroot}/$INSTALL/resources
mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mkdir -p %{buildroot}%{_datadir}/icons/mono-dark/scalable/apps
mkdir -p %{buildroot}%{_datadir}/icons/mono-light/scalable/apps


install -m0644 lib/*.py %{buildroot}/$INSTALL/lib
install -m0644 resources/* %{buildroot}/$INSTALL/resources
install -m0755 scudcloud %{buildroot}/$INSTALL
install -m0644 LICENSE %{buildroot}/$INSTALL

install -m0644 systray/hicolor/* %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m0644 systray/mono-dark/* %{buildroot}%{_datadir}/icons/mono-dark/scalable/apps
install -m0644 systray/mono-light/* %{buildroot}%{_datadir}/icons/mono-light/scalable/apps

%if 0%{!?suse_version}
install -m0644 scudcloud.desktop %{buildroot}%{_datadir}/applications
%endif

ln -sf $INSTALL/scudcloud %{buildroot}%{_bindir}/scudcloud

%if 0%{?suse_version}
%suse_update_desktop_file -i %{name} Network InstantMessaging
%else
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop
%endif

%if (0%{?suse_version} || 0%{?fedora_version})
%fdupes %{buildroot}/%{_prefix}
%endif

%post
%if 0%{?suse_version}
%desktop_database_post
%icon_theme_cache_post
%else
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme mono-dark 2> /dev/null || :
xdg-icon-resource forceupdate --theme mono-light 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :
%endif


%postun
%if 0%{?suse_version}
%desktop_database_postun
%icon_theme_cache_postun
%else
if [ $1 -eq 0 ] ; then
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme mono-dark 2> /dev/null || :
xdg-icon-resource forceupdate --theme mono-light 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :
fi
%endif


%files
%defattr(-,root,root)
%dir /opt/scudcloud
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%dir %{_datadir}/icons/mono-dark
%dir %{_datadir}/icons/mono-dark/scalable
%dir %{_datadir}/icons/mono-dark/scalable/apps
%dir %{_datadir}/icons/mono-light
%dir %{_datadir}/icons/mono-light/scalable
%dir %{_datadir}/icons/mono-light/scalable/apps
/opt/scudcloud/*
%{_datadir}/applications/scudcloud.desktop
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/icons/mono-dark/scalable/apps/*
%{_datadir}/icons/mono-light/scalable/apps/*
%{_bindir}/scudcloud

%changelog
* Mon Nov  2 2015 marcin.bajor@gmail.com
- Update to 1.0.89
- Restoring wrapper timer to override notifications
* Wed Oct 28 2015 marcin.bajor@gmail.com
- Update to 1.0.87
- Re-enable desktop notifications on reconnect (#274)
* Mon Oct 26 2015 marcin.bajor@gmail.com
- Update to 1.0.86
- Some code improvements
- Set focus after switch teams (#268)
* Thu Oct 22 2015 marcin.bajor@gmail.com
- Update to 1.0.85
- Restore window when trying to run again (#66)
* Sat Oct 17 2015 marcin.bajor@gmail.com
- Update to 1.0.84
- Saving menubar state (#251)
- Escape single quote on team icon (#264)
* Thu Oct 15 2015 marcin.bajor@gmail.com
- Update to 1.0.82
- Escaping single quotes in leftpane JS (#258)
* Thu Oct 15 2015 marcin.bajor@gmail.com
- Update to 1.0.81
- Removing no more required libraries
- Updating Edit menu on team switch (#259)
* Thu Oct 15 2015 marcin.bajor@gmail.com
- Update to 1.0.80
- Small improvements
* Mon Oct 12 2015 marcin.bajor@gmail.com
- Update to 1.0.79
- Removing _SSB from identifier, to remove Mac options
- Workaround for #250
* Sun Oct 11 2015 marcin.bajor@gmail.com
- Update to 1.0.78
- Another attempt to minimize effects on reconnect scripts (#250)
* Fri Oct  9 2015 marcin.bajor@gmail.com
- Update to 1.0.77
- Removing resume scripts (#250)
* Wed Oct  7 2015 marcin.bajor@gmail.com
- Update to 1.0.76
- Fixing resume from suspend script (#250)
* Tue Oct  6 2015 marcin.bajor@gmail.com
- Update to 1.0.75
- Fixing random team icon names (#249)
* Thu Oct  1 2015 marcin.bajor@gmail.com
- Update to 1.0.74
- Fixing fonts (#245)
* Wed Sep 30 2015 marcin.bajor@gmail.com
- Update to 1.0.73
- Make sure value returned by Speller.suggest is str (#244)
* Wed Sep 30 2015 marcin.bajor@gmail.com
- Update to 1.0.72
- Listening for resume event
* Tue Sep 29 2015 marcin.bajor@gmail.com
- Update to 1.0.71
- Fixing dictionary path checking (#241)
* Sat Sep 26 2015 marcin.bajor@gmail.com
- Added dependencies: libqt4-webkit-qupzillaplugins and python3-hunspell
* Fri Sep 25 2015 marcin.bajor@gmail.com
- Update to 1.0.70
- Adding a timer to check server side reloads
- Allow the menubar to be hidden in non Unity environments (#233)
* Tue Sep 22 2015 marcin.bajor@gmail.com
- Update to 1.0.69
- Fixing crash when python3-hunspell is not present (#237)
* Tue Sep 22 2015 marcin.bajor@gmail.com
- Update to 1.0.68
- Adding HunSpell suggestions (#55)
* Thu Sep 17 2015 marcin.bajor@gmail.com
- Update to 1.0.67
- Fixing Quicklist
* Wed Sep 16 2015 marcin.bajor@gmail.com
- Update to 1.0.66
- Adding team icon in notifications
- Trying to fix quicklist load on multiple teams
* Wed Sep 16 2015 marcin.bajor@gmail.com
- Update to 1.0.65
- Enabling cache (#82)
* Sat Sep 12 2015 marcin.bajor@gmail.com
- Update to 1.0.64
- Several code improvements
- Fixing teams loading order (#201)
* Wed Sep  9 2015 marcin.bajor@gmail.com
- Update to 1.0.63
- Trying to re-enable notifications on page reload
- Handling system interrupt sign (#199)
- Updating login.css
- Reducing JavaScript usage on channel switch
- Add option to print version in command line (#186)
- Fixing 'Help and Feedback' and 'Help Center' on multiple teams
- Improving JS ScudCloud
- Small improvement in message counting
- Adding initial loading message in status bar (#158)
* Thu Aug 27 2015 marcin.bajor@gmail.com
- Update to 1.0.57
- Ctrl+Tab and Ctrl+Shift+Tab to rotate through teams (#215)
* Thu Aug 13 2015 marcin.bajor@gmail.com
- Update to 1.0.56
- Allow relative path
- Re-enable desktop notifications on page reload (#163)
* Fri Aug  7 2015 marcin.bajor@gmail.com
- Update to 1.0.55
- Fixing notifications systray count (#192)
* Wed Aug  5 2015 marcin.bajor@gmail.com
- Update to 1.0.54
- Updating notifications to match Slack changes
* Mon Aug  3 2015 marcin.bajor@gmail.com
- Update to 1.0.53
- Fixing again notifications count (#164)
* Sun Jul 26 2015 marcin.bajor@gmail.com
- Update to 1.0.52
  * Using lambdas for dereferenced callbacks (fixes #170 #177)
  * Updating unread counter on window focus
  * Fixing code format error
* Thu Jun 25 2015 marcin.bajor@gmail.com
- Update to 1.0.50
  * Fixing quicklist and direct messages
* Thu Jun 25 2015 marcin.bajor@gmail.com
- Update to 1.0.49
  * Re-working notifications to not use a timer (reduces CPU usage)
  * Few changes to avoid loose desktop notifications
  * Update read messages (#164)
* Sat Jun 20 2015 marcin.bajor@gmail.com
- Update to 1.0.46
  * Making current team icon bigger
  * Fixing integrations issues (#143)
  * Adding option to disable plugins (#155)
* Thu Jun 18 2015 marcin.bajor@gmail.com
- Update to 1.0.45
  * Fixing small issues while loading all teams
* Thu Jun 18 2015 marcin.bajor@gmail.com
- Update to 1.0.44
  * Auto login for multiple teams (#81)
  * Some code improvements
  * Restoring JS inception in all pages
  * Fixing fullscreen
* Wed Jun 17 2015 marcin.bajor@gmail.com
- Update to 1.0.41
  * Fixing first team icon
  * Snippet support (#124)
  * Adding FullScreen support (#129)
  * Fixing stuck on Status (#147)
* Wed Jun 17 2015 marcin.bajor@gmail.com
- Update to 1.0.39
  * Proxy support (#102, #115)
